.inside-all-content_container {
  width: 70%;
}

button:hover {
  background-color: #679fa0;
  border-color: #679fa0;
  color: #679fa0;
}

.outside-all-content_container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.offer-content_container {
  max-width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Two equal columns */
  gap: var(--spacing-medium);
  padding: var(--spacing-large);
  flex-wrap: wrap;
}
@media (max-width: 768px) {
  .offer-content_container {
    padding: var(--spacing-small);
  }
}

.offer-content_container h3 {
  color: black;
  margin-block: var(--spacing-small);
}
@media (max-width: 768px) {
  .offer-content_container {
    margin: 0;
  }
}

.inner_box {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: space-between;
  gap: var(--spacing-small);
  margin: 0;
  padding: var(--spacing-small);
  border: 3px solid rgb(78, 55, 55, 0.3);
  border-radius: 10px;
  overflow: hidden;
  line-break: anywhere;
}
@media (max-width: 768px) {
  .inner_box {
    padding: var(--spacing-extra-small);
  }
}

a.inner_box {
  text-shadow: none !important;
}
a.inner_box:hover {
  scale: 1.02;
}

.inner_box img {
  width: 30%;
  min-width: 100px;
  max-width: 100%;
}

.inner_box:nth-child(1) {
  background-color: #90c368;
}

.inner_box:nth-child(1) img {
  align-self: flex-end;
  justify-self: flex-end;
}

.inner_box:nth-child(2) {
  background-color: #f69f28;
}

.inner_box:nth-child(2) h3 {
  align-self: flex-end;
  justify-self: flex-end;
}

.inner_box:nth-child(3) {
  background-color: #d7165a;
}

.inner_box:nth-child(3) h3 {
  order: 2;
}

.inner_box:nth-child(3) img {
  order: 1;
  align-self: flex-end;
  justify-self: flex-end;
}

.inner_box:nth-child(4) {
  background-color: #68a0a1;
}

.inner_box:nth-child(4) h3 {
  order: 2;
  align-self: flex-end;
  justify-self: flex-end;
}
.inner_box:nth-child(4) img {
  order: 1;
}

.offer_headline {
  font-weight: bold;
  text-align: center;
}

.header_img img {
  width: 100%;
}

.card {
  --card-size: 190px; /* Breite und höhe der Karte anpassen */
  position: relative;
  width: 100%;
  max-width: var(--card-size);
  perspective: 1000px; /* Perspective-Effekt für 3D-Darstellung */
  aspect-ratio: 1 / 1;
  cursor: pointer; /* Zeiger ändern bei Hover */
}

.card-inner {
  position: absolute;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.card:hover .card-inner {
  transform: rotateY(180deg); /* Drehung der Karte bei Hover */
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden; /* Rückseite unsichtbar machen */
}

.card-back {
  transform: rotateY(180deg); /* Anfangszustand der Rückseite */
}

.card img {
  width: 100%;
  max-width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px; /* Optional: Runde Ecken */
}
